package intrinsic.mx.messaging.events;

public class MessageAckEvent extends intrinsic.mx.messaging.events.MessageEvent {

	/** Accessors */
	public intrinsic.mx.messaging.messages.AcknowledgeMessage acknowledgeMessage;
	public String correlationId;

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage correlation;
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */
	public static final String ACKNOWLEDGE = "acknowledge";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MessageAckEvent() {
}

public MessageAckEvent(String arg0) {
}

public MessageAckEvent(String arg0, boolean arg1) {
}

public MessageAckEvent(String arg0, boolean arg1, boolean arg2) {
}

public MessageAckEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.messages.AcknowledgeMessage arg3) {
}

public MessageAckEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.messages.AcknowledgeMessage arg3, intrinsic.mx.messaging.messages.IMessage arg4) {
}


/** Static Methods */
public static native intrinsic.mx.messaging.events.MessageAckEvent createEvent();
public static native intrinsic.mx.messaging.events.MessageAckEvent createEvent(intrinsic.mx.messaging.messages.AcknowledgeMessage arg0);
public static native intrinsic.mx.messaging.events.MessageAckEvent createEvent(intrinsic.mx.messaging.messages.AcknowledgeMessage arg0, intrinsic.mx.messaging.messages.IMessage arg1);

/** Methods */
public native String toString();
public native Object clone();

}
